<?php
 
session_start();
include("DMMYSQLG.php");
include("DSA1000.php");
include("DMMYSQLG.php");
include("DFJSISCI.inc");
include("JQUERY.inc");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<head>

<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>

<script type="text/javascript">
// Cargo los ID's de los arrays que se convierten en "scrollables"
var scrollDivs=new Array();
scrollDivs[0]="div1";
scrollDivs[1]="div2";

function carga()
{ 
	posicion=0;
	
	// IE 
	if(navigator.userAgent.indexOf("MSIE")>=0) navegador=0;
	
	else navegador=1;
 
	registraDivs();
}

function registraDivs()
{
	for(divId in scrollDivs)
	{
		document.getElementById(scrollDivs['divId']).onmouseover=function() { this.style.cursor="move"; }
		document.getElementById(scrollDivs['divId']).onmousedown=comienzoMovimiento;
	}
}

function evitaEventos(event)
{
	// Funcion que evita que se ejecuten eventos adicionales
	if(navegador==0)
	{
		window.event.cancelBubble=true;
		window.event.returnValue=false;
	}
	if(navegador==1) event.preventDefault();
}

function comienzoMovimiento(event)
{
	var id=this.id;
	elMovimiento=document.getElementById(id);
	
	 // Obtengo la posicion del cursor
	 
	if(navegador==0)
	 {
	 	cursorComienzoX=window.event.clientX+document.documentElement.scrollLeft+document.body.scrollLeft;
		cursorComienzoY=window.event.clientY+document.documentElement.scrollTop+document.body.scrollTop;
	}
	if(navegador==1)
	{    
		cursorComienzoX=event.clientX+window.scrollX;
		cursorComienzoY=event.clientY+window.scrollY;
	}
	
	elMovimiento.onmousemove=enMovimiento;
	elMovimiento.onmouseup=finMovimiento;
	
	elComienzoX=parseInt(elMovimiento.style.left);
	elComienzoY=parseInt(elMovimiento.style.top);
	// Actualizo el posicion del elemento
	elMovimiento.style.zIndex=++posicion;
	
	evitaEventos(event);
}

function enMovimiento(event)
{  
	var xActual, yActual;
	if(navegador==0)
	{    
		xActual=window.event.clientX+document.documentElement.scrollLeft+document.body.scrollLeft;
		yActual=window.event.clientY+document.documentElement.scrollTop+document.body.scrollTop;
	}  
	if(navegador==1)
	{
		xActual=event.clientX+window.scrollX;
		yActual=event.clientY+window.scrollY;
	}
	
	elMovimiento.style.left=(elComienzoX+xActual-cursorComienzoX)+"px";
	elMovimiento.style.top=(elComienzoY+yActual-cursorComienzoY)+"px";

	evitaEventos(event);
}

function finMovimiento(event)
{
	elMovimiento.onmousemove=null;
	elMovimiento.onmouseup=null;
}

window.onload=carga;
</script>
 <script language="javascript">
           $(document).ready(function(){
	function formatItem(row) {
		return " (<strong>" + row[1] + "</strong>)"+row[0];
	}
	var pagRes='cat_smerf_AU.php';
	var idObjDes='tbus';
//	var idObjCve='id_ope';
        var nomObjRad='tip_bus_ope';
	$("#"+idObjDes).autocomplete({ //Des
	    source:pagRes,	
            minChars: 1,                 //Caracteres Minimos antes de autocompletar
		max:20,                      //maximo de resultados mostrados, se manda como limit en autosugestion
		cacheLength: 0,
		delay: 200,                  //Retardo de autocompletar 
		width: 500,                  //ancho del cuadro de despliegue
		highlight: false,            //Resalta letras coincidentes
		autoFill: true,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 100,           //alto del cuadro para el scroll
		
		 select: function( event, ui ) {
                 
                      $("#"+idObjDes).val(ui.item.agdescrip);	
//		$('#fcodgrupo').focus();
              
                }
	});	
	
});
//$(document).ready(function(){
//	$("#tbus").autocomplete('cat_smerf_AU.php',{
//		minChars: 1,                 //Caracteres Minimos antes de autocompletar
//		//max:3                        //maximo de resultados mostrados, se manda como limit en autosugestion
//		selectFirst:false,
//		delay: 200,                  //Retardo de autocompletar 
//		width: 500,                  //ancho del cuadro de despliegue
//		highlight: false,            //Resalta letras coincidentes
//		autoFill: false,             //autocompleta en texto la posible palabra
//		scroll: true,				 //si cuadro tiene barra scroll
//		scrollHeight: 500,           //alto del cuadro para el scroll
//		formatItem:function (row, i, n, value) { //formato de presentacion de las posibles busquedas
//			return "(<strong>"+row[1]+"</strong>)"+row[0];
//		},	     
//		formatResult:function(row){  //formato de seleccion de busqueda
//			return row[0];
//		},
//		extraParams:{tipBus:'d'}     //Parametros Extra a Mandar en autosugestion
//	});
//	$("#tbus").result(function(event, row, formatted){
//		//if(!row && confirm("Articulo:'"+$(this).val()+"'\nDesea AGREGARLO?"))
//			openpage("cat_smerf_AG.php?tap2="+$(this).val(),'_self');
//		//else if(confirm("Articulo:'" +row[0]+"'\nDesea Consultar/Modificar?"))
//			openpage("cat_smerf_MO.php?bot="+row[1],'_self');
//	}).keypress (function(){
//    	var evt = (evt) ? evt : event; 
//    	var tecla = (evt.charCode) ? evt.charCode : ((evt.keyCode) ? evt.keyCode:((evt.which) ? evt.which : 0)); 
//    	if(tecla==13){
//			$(this).search();
//			return false;	
//		}
//		return true;
//	});	
//
//});
//
//function busca(){
//	getOnLayer({
//			action:'cat_smerf_PR-SRV.php',
//			idLayer:'regBus'
//		},{
//			tbus:ge('tbus').value
//	});
//}

</script>
</head>



<body>

<div align="left">

</div>

<div align="center">
  <form name="form1" id=""method="post" action="">
    <p>&nbsp;</p>
    <table  align="center" bordercolor=" " bordercolordark=" ">
      
	  <tr>
        <th colspan="2">CATALOGO DE SMERF</th>
      </tr>
      
      <tr>
        <th>BUSQUEDA       </th>
      </tr>
    
      <tr>
        <td colspan="2"><input type="submit" name="Submit" value="Buscar" class="bot_WsW"/>
          <img src="magnifier.png" alt="Buscar" onClick="alert('Buscar')" />
        <input name="tbus" id="tbus" type="text" onBlur="may(this)" size="30"/></td>
      </tr>
      <tr>
        <th colspan="2">CATALOGO DE SMERF</th>
      </tr>
      <tr>
        <td colspan="2"><div align="center">
          <input name="tbus2" type="text" id="tbus" onBlur="may(this)" size="50" 
		<?php

			if(isset($_POST['tbus'])){ 
				echo 'value="' . $_POST['tbus'] .  '"';
			}
		?>
		/>
        </div></td>
      </tr>   
    </table>
  </form>
</div>
<div align="center">
<form name="frm1" id="frm1" method="post" action=""
<?php
 
	$sql = mysqli_query($con ,"SELECT * FROM fsmerf ORDER BY n_reg");
	include("DE10000.php");
	?>
>
<table width="382" border='1' bordercolor=" " bordercolordark=" ">
      <tr>
        <th colspan="13"> <div align="center">
          <input type="Submit" name="bot3" value="Consultar"  onClick="openpage('cat_smerf_CO.php','_self')" class="original"/>
          <input type="button" name="bot2" value="Modificar" onClick="openpage('cat_smerf_MO.php','_self')" class="bot_WsW"/>
          <input type="button" name="bot1" value="Eliminar" onClick="openpage('cat_smerf_EL.php','_self')" class="bot_RjR"/>
          <input type="button" name="bot4" value="Imprimir " onClick="openpage('cat_smerf_IM.php','_self')" class="original"/>
        </div></th>
      </tr>
      <tr>
        <th width="24"  nowrap><div align="center">SEL</div></th>
        <th width="52"  nowrap><div align="center">CODIGO</div></th>
		<th width="284"  nowrap><div align="center">DESCRIPCION</div></th>
	  </tr>
	  <?php
$vart=(isset($_POST['tbus']))?$_POST['tbus']:"";
	echo '<input name="txt_bus" type="hidden" value="'.$vart.'">';
$vars=(isset($_POST['submit']))?$_POST['submit']:"";
	if($vars=="")
	{
		echo '<input name="tip_bus" type="hidden" value="nombre">';
		@$sql = mysqli_query($con ,"SELECT * FROM fsmerf WHERE descripcion like '%".$vart."%'");
	}
	while($reg = mysqli_fetch_array($sql))
	{
	  	echo "<tr>";
		echo '<td> <div align="center"><input name="bot" type="radio" value="'. $reg["n_reg"].'"></div></td>';
		echo "<td> <div align='center'>" . $reg["n_reg"] . "&nbsp;</div></td>";
		echo "<td> <div align='center'>" . $reg["descripcion"] . "&nbsp;</div></td>";
		echo "</tr>";
	}
	mysqli_close($con);
	?>
    </table>
  </form>
</div>
<!--<div id="div1" style="top:100px; left:100px; position:absolute; background-color:#FF0000; color:#000000;">
<span style="font-family:Verdana, Arial, Helvetica, sans-serif; font-size:10px;">
Prueba.................<br>
Prueba.................<br>
Prueba.................<br>
Prueba.................<br>
Prueba.................<br>
</span>
</div>

<div id="div2" style="top:200px; left:300px; position:absolute; background-color:#FFFF00; color:#000000;">
<span style="font-family:Verdana, Arial, Helvetica, sans-serif; font-size:10px;">
Prueba.................<br>
Prueba.................<br>
Prueba.................<br>
Prueba.................<br>
Prueba.................<br>
</span> -->
</div>
</body>
</html>